server:
  port: 8084
  servlet:
    context-path: /dsp
spring:
  cloud:
    stream:
      kafka:
        binder:
          brokers: 47.113.231.200:9092
          auto-create-topics: true
          healthTimeout: 600
      bindings:
        file_dl_pipeline_in:
          destination: stream-file-dl
          group: file-dl-test
          consumer:
            pollTimeout: 60
        file_dl_pipeline_out:
          destination: stream-file-dl
          content-type: text/plain
        protobuf_pipeline_in:
          destination: stream-protobuf
          group: protobuf-test
          consumer:
            pollTimeout: 60
        protobuf_pipeline_out:
          destination: stream-protobuf
          content-type: text/plain
        storage_pipeline_in:
          destination: stream-db
          group: db-test
          consumer:
            pollTimeout: 60
        storage_pipeline_out:
          destination: stream-db
          content-type: text/plain
  kafka:
    producer:
      batch-size: 10
    properties:
      max:
        poll:
          records: 10
          interval:
            ms: 3600000
  datasource:
    url: jdbc:mysql://47.113.231.200:28089/dsp?useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true
    username: root
    password: passok123A
    driver-class-name: com.mysql.cj.jdbc.Driver

  jpa:
    database-platform: org.hibernate.dialect.MySQL8Dialect
    show-sql: true

topics:
  stream-protobuf: com.jsc.dsp.service.ProtobufService
  stream-db: com.jsc.dsp.service.StorageService
  stream-file-dl: com.jsc.dsp.service.FileDlService

switch:
  enable-storage-service: false
  enable-file-dl-service: false
  enable-protobuf-service: false
  auto-export-and-upload: true

ftp:
  host: 144.34.185.108
  port: 21
  username: jsc-2b
  password: 1234qwer%
  timeout: 5000
  passive-mode: true

custom:
  dev-mode: false
  filter-words-query-api: http://47.115.228.133:28081/api/open/wordBank/queryAll
  filter-words-update-interval-ms: 3600000
  local-file-storage-path: D:/data/local-storage/
  proto_save_path: D:/data/spider_data/proto/
  transfer_backup_path: D:/data/transfer_backup/
  file_unzip_path: D:/html-full/
  keep_backup_file: D:/data/dbzq_backup/
  nginx_path: D:/OSC-3.0/app/osdp_board/html/
  websiteQueryAPI: http://47.115.228.133:28081/api/open/target/website/queryAllInfo
  websiteUpdateAPI: http://47.115.228.133:28081/api/open/target/website/update
  socialQueryAPI: http://47.115.228.133:28081/api/open/target/social/queryAll?sortBy=id&shuffleResult=false
  socialUpdateAPI: http://47.115.228.133:28081/api/open/target/social/update
  websiteWhiteList: 能源界（国内信息）;能源界（国际信息）;中国能源新闻网;新华能源网;中国能源网（能源战略）;中国农网（三农要闻）;中国经济网（三农经济）;中华粮网（粮食安全）;美国之音（中国版面）;美国之音（中美关系）;美国之音（台海两岸版面）;美国之音（港澳版面）;看中国（看大陆版面）;看中国（重点新闻）;德国之声（中国报道）;纽约时报中文网（中国版面）;大纪元（一周大陆新闻）;EnergyNow;联合国粮农组织;路透社（中国版面）
  excelOutputPath: D:/data/output/upload
  backupFilePath: D:/data/output/backup
  pagesOutputPath: D:/data/output/pdf
  ftpUploadPath: /home/jsc-2b
  exportTaskSchedule: "0 0 12 * * 1,3,5"